/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/

var exec = require('child_process').exec;
var fs = require('fs');
var mkdirp = require('mkdirp');
var path = require('path');
var tap = require('tap');

tap.test('Test delete user directory', function(t) {
  t.plan(1);

  var apicPath = process.env.APIC_CONFIG_PATH;
  var tempDir = path.resolve(__dirname, 'sandbox', 'Temp-' + Math.random() + '-' + (+new Date()));
  var tempFile = path.resolve(tempDir, 'temp.txt');

  process.env.APIC_CONFIG_PATH = tempDir;
  mkdirp.sync(tempDir);
  fs.writeFileSync(tempFile, 'test content');
  var bin = path.join(__dirname, '..', 'lib', 'apic-uninstall.js');
  var cmd = 'node "' + bin + '"';
  exec(cmd, function(error, stdout, stderr) {
    if (error) {
      t.fail('Failed to run `' + cmd + '`');
    }
    fs.access(tempDir, fs.F_OK, function(err) {
      t.equal(err.code, 'ENOENT');
      t.end();
    });
    process.env.APIC_CONFIG_PATH = apicPath;
  });
});

